Commit 0b77fe47 authored by Namhyung Kim's avatar Namhyung Kim Committed by Arnaldo Carvalho de Melo
Browse files

perf test: Replace data symbol test workload with datasym



So that it can get rid of requirement of a compiler.

  $ sudo ./perf test -v 109
  109: Test data symbol                                                :
  --- start ---
  test child forked, pid 844526
  Recording workload...
  [ perf record: Woken up 2 times to write data ]
  [ perf record: Captured and wrote 0.354 MB /tmp/__perf_test.perf.data.GFeZO (4847 samples) ]
  Cleaning up files...
  test child finished with 0
  ---- end ----
  Test data symbol: Ok

Signed-off-by: default avatarNamhyung Kim <namhyung@kernel.org>
Tested-by: default avatarJames Clark <james.clark@arm.com>
Cc: Adrian Hunter <adrian.hunter@intel.com>
Cc: Athira Jajeev <atrajeev@linux.vnet.ibm.com>
Cc: German Gomez <german.gomez@arm.com>
Cc: Ian Rogers <irogers@google.com>
Cc: Ingo Molnar <mingo@kernel.org>
Cc: Jiri Olsa <jolsa@kernel.org>
Cc: Leo Yan <leo.yan@linaro.org>
Cc: Peter Zijlstra <peterz@infradead.org>
Cc: Zhengjun Xing <zhengjun.xing@linux.intel.com>
Link: https://lore.kernel.org/r/20221116233854.1596378-13-namhyung@kernel.org


Signed-off-by: default avatarArnaldo Carvalho de Melo <acme@redhat.com>
parent 3dfc01fe
Loading
Loading
Loading
Loading
+1 −28
Original line number Diff line number Diff line
@@ -11,13 +11,7 @@ skip_if_no_mem_event() {

skip_if_no_mem_event || exit 2

# skip if there's no compiler
if ! [ -x "$(command -v cc)" ]; then
	echo "skip: no compiler, install gcc"
	exit 2
fi

TEST_PROGRAM=$(mktemp /tmp/__perf_test.program.XXXXX)
TEST_PROGRAM="perf test -w datasym"
PERF_DATA=$(mktemp /tmp/__perf_test.perf.data.XXXXX)

check_result() {
@@ -45,31 +39,10 @@ cleanup_files()
{
	echo "Cleaning up files..."
	rm -f ${PERF_DATA}
	rm -f ${TEST_PROGRAM}
}

trap cleanup_files exit term int

# compile test program
echo "Compiling test program..."
cat << EOF | cc -o ${TEST_PROGRAM} -x c -
typedef struct _buf {
	char data1;
	char reserved[55];
	char data2;
} buf __attribute__((aligned(64)));

static buf buf1;

int main(void) {
	for (;;) {
		buf1.data1++;
		buf1.data2 += buf1.data1;
	}
	return 0;
}
EOF

echo "Recording workload..."

# perf mem/c2c internally uses IBS PMU on AMD CPU which doesn't support